package examenes.examen20250131.ejercicio03;

import examenes.examen20250131.utils.Utils;

import java.util.Calendar;
import java.util.Date;

public class Main {
    public static void main(String[] args) {

        Date fechaInicial = null;
        Date fechaFinal = null;

        while (true) {
            fechaInicial = Utils.solicitarFechaInline("dd/MM/yyyy HH:mm:ss");
            fechaFinal = Utils.solicitarFechaInline("dd/MM/yyyy HH:mm:ss");
            if (fechaInicial.before(fechaFinal) && fechaInicial.after(new Date())) break;
            System.out.println("Es necesario que la fecha inicial sea antes de la final y que la fecha inicial sea después de la fecha actual");
        }

        System.out.println("Días de diferencia (Date): " + (Math.abs(fechaInicial.getTime() - fechaFinal.getTime()) / 1000) / 60 / 60 / 24 );

        Calendar calInicial = Calendar.getInstance();
        calInicial.setTimeInMillis(fechaInicial.getTime());

        Calendar calFinal = Calendar.getInstance();
        calFinal.setTimeInMillis(fechaFinal.getTime());


        System.out.println("Días de diferencia (Calendar): " + Math.abs(calInicial.get(Calendar.DAY_OF_YEAR) - calFinal.get(Calendar.DAY_OF_YEAR)));

    }
}
